Skip to content

GeneralLedgerService⁠

Manage GL account records.

Operations⁠

createGlAccount⁠

POST

Creates a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/createGlAccount
POST /nexum/627/2022.01/generalledger/createGlAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountCreatableFields": {
    "BalanceLastYear": 0,
    "BalanceSheetColumn": 0,
    "BalanceYtd": 0,
    "BlankLineCode": 0,
    "Budget": [
      {
        "EntryId": 0,
        "Budget": 0
      }
    ],
    "CommentCode": 0,
    "DcRestrictionLevel": 0,
    "DistributionCode": 0,
    "FmLevel": 0,
    "FormatType": 0,
    "HistoricalBalance": [
      {
        "EntryId": 0,
        "HistoricalBalance": 0
      }
    ],
    "IndentationCode": 0,
    "IqLevel": 0,
    "Lookup": "string",
    "Name": "string",
    "OpenCode": 0,
    "PrintingCode": 0,
    "RestrictionLevel": 0,
    "SubType": 0,
    "TotalLevel": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

createGlAccountTracking⁠

POST

Creates tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
GlAccountTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/generalledger/createGlAccountTracking
POST /nexum/627/2022.01/generalledger/createGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountTrackingCreatableFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "Id": "string",
    "IdType": 0,
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0,
    "UserAmount19": 0,
    "UserAmount2": 0,
    "UserAmount20": 0
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

createGlSubaccount⁠

POST

Creates a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
GlSubaccountIdstringoptional
POST/nexum/{sym}/2022.01/generalledger/createGlSubaccount
POST /nexum/627/2022.01/generalledger/createGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "GlSubaccountCreatableFields": {
    "Id": "0",
    "Name": "string",
    "Type": 0,
    "GlOffset": "0"
  }
}

deleteGlAccountTracking⁠

POST

Deletes tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlAccountTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/generalledger/deleteGlAccountTracking
POST /nexum/627/2022.01/generalledger/deleteGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

deleteGlSubaccount⁠

POST

Deletes a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/generalledger/deleteGlSubaccount
POST /nexum/627/2022.01/generalledger/deleteGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "GlSubaccountId": "0"
}